## screengrab-1.2.1.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

# set project's name
project( screengrab )

message(STATUS "System: " ${CMAKE_HOST_SYSTEM_NAME} " " ${CMAKE_HOST_SYSTEM_VERSION})
message(STATUS "Processor: " ${CMAKE_HOST_SYSTEM_PROCESSOR})

find_package( Qt4 4.8.0 REQUIRED COMPONENTS QtCore QtGui QtNetwork)
include( "${QT_USE_FILE}" )

# add version define
set(SCREENGRAB_VERSION "1.2.1")
#set(SCREENGRAB_VERSION_DEV "1.2.1")
# set(DEV_BUILD True)

if(SCREENGRAB_VERSION_DEV)
if (DEV_BUILD)
# search git executable
find_package(Git)
if (GIT_FOUND)

    # executable git for check HEAD rev hash
    execute_process (COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                OUTPUT_VARIABLE GIT_HASH
                OUTPUT_STRIP_TRAILING_WHITESPACE)
endif(GIT_FOUND)

    set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV}-git-${GIT_HASH})")
else (DEV_BUILD)
    set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV})")
endif(DEV_BUILD)
elseif(NOT SCREENGRAB_VERSION_DEV)
  set(VERSION ${SCREENGRAB_VERSION})
endif(SCREENGRAB_VERSION_DEV)

add_definitions( -DVERSION="${VERSION}")
message(STATUS "Version				: " ${VERSION})
#${CMAKE_SYSTEM_NAME} [${CMAKE_HOST_SYSTEM_PROCESSOR}]" )
message(STATUS "Architecture				: " ${CMAKE_C_LIBRARY_ARCHITECTURE}) 

message(STATUS "Use qmake: " ${QT_QMAKE_EXECUTABLE})
# ------ build type ------------------------

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
if(${CMAKE_BUILD_TYPE} MATCHES "Release")
    add_definitions(-DNDEBUG)
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
    if(WIN32)
    if(NOT MSVC)	
		set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
    endif(NOT MSVC)
endif(WIN32)
endif(${CMAKE_BUILD_TYPE} MATCHES "Release")
message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual -Wall -Wextra")

# ------ install prefix --------------------------

message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})

add_definitions( -DPREFIX="${CMAKE_INSTALL_PREFIX}")

message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})

if(UNIX AND NOT APPLE)
        # Check Debian or Ubuntu?
        if (EXISTS "/etc/debian_version")
                set (LIBDIR "lib/${CMAKE_LIBRARY_ARCHITECTURE}")
        # Other distro
        else (EXISTS "/etc/debian_version")
                string (COMPARE EQUAL "${CMAKE_SIZEOF_VOID_P}" "8" IS64BITS)
                if (IS64BITS)
                        SET (LIBDIR "lib64")
                else (IS64BITS )
                        SET (LIBDIR "lib")
                endif (IS64BITS )
        endif (EXISTS "/etc/debian_version")

        set(SG_LIBDIR "${CMAKE_INSTALL_LIBDIR}/screengrab")
        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${SG_LIBDIR}")
        message(STATUS "Library path: "${CMAKE_INSTALL_RPATH})
endif(UNIX AND NOT APPLE)

# ------ options ---------------------------------
OPTION (SG_GLOBALSHORTCUTS "Enable global shortcuts" ON)
OPTION (SG_XDG_CONFIG_SUPPORT "Place config files into XDGC_ONFIG_HOME" ON)
OPTION (SG_EXT_UPLOADS "Enable upload screnshots to image hostings" ON)
OPTION (SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
OPTION (SG_USE_SYSTEM_QXT "Use system version Qxt Library for global shortcuts" OFF)

# The following line will add additional finders to CMake without the need to be placed in the CMake install path
LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


if(SG_GLOBALSHORTCUTS)
    add_definitions( -DSG_GLOBAL_SHORTCUTS="1")
    
	if(SG_USE_SYSTEM_QXT)
		# find qxt
		find_package(Qxt REQUIRED COMPONENTS QxtCore, QxtGui)
		include_directories(${QXT_QXTCORE_INCLUDE_DIR} ${QXT_QXTGUI_INCLUDE_DIR})
	else(SG_USE_SYSTEM_QXT)
		include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/3rdparty/qxt/include/")    
		add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/3rdparty/qxt/")
		# build QxtGui
		add_definitions(-DBUILD_QXT_GUI)
	endif(SG_USE_SYSTEM_QXT)
endif(SG_GLOBALSHORTCUTS)

if(SG_XDG_CONFIG_SUPPORT)
    add_definitions( -DSG_XDG_CONFIG_SUPPORT="1")
endif(SG_XDG_CONFIG_SUPPORT)

if(SG_EXT_UPLOADS)
    add_definitions( -DSG_EXT_UPLOADS="1")
endif(SG_EXT_UPLOADS)

if (SG_EXT_EDIT)
	add_definitions( -DSG_EXT_EDIT="1")
endif(SG_EXT_EDIT)

message(STATUS "Global shortcuts support: " ${SG_GLOBALSHORTCUTS})
message(STATUS "XDG_CONFIG_HOME support: " ${SG_XDG_CONFIG_SUPPORT})
message(STATUS "Upload to image hosings support: " ${SG_EXT_UPLOADS})
message(STATUS "Editing shots in external editor support: " ${SG_EXT_EDIT})
message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})

# ------ doc dir name ---------------------------------
if(UNIX AND NOT APPLE)
    if (NOT SG_DOCDIR)
         set(SG_DOCDIR "screengrab" CACHE STRING "Documantation directory name")        
    endif (NOT SG_DOCDIR)
    set(DOCPATH "share/doc/${SG_DOCDIR}" CACHE STRING "Documantation directory name")
    message(STATUS "Documentation directory: " ${CMAKE_INSTALL_PREFIX}/${DOCPATH})
    add_definitions( -DSG_DOCDIR="${CMAKE_INSTALL_PREFIX}/${DOCPATH}")
endif(UNIX AND NOT APPLE)

set(SG_INCLUDE "${CMAKE_CURRENT_SOURCE_DIR}/src/")
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
message(STATUS "SG_INCLUDE: " ${SG_INCLUDE})

#------- qtsingleapplication  --------
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/singleapp/")

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/singleapp")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")

#openarenainclude_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/singleapp")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")

if(SG_EXT_UPLOADS)
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader/")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader/")
endif(SG_EXT_UPLOADS)

if (SG_EXT_EDIT)
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit/")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit/")
endif(SG_EXT_EDIT)

#------- sources --------

# with SET() command you can change variables or define new ones
# here we define SAMPLE_SRCS variable that contains a list of all .cpp files
# note that we don't need \ at the end of line
set(SCREENGRAB_SRC
    src/main.cpp
    src/core/core.cpp
    src/core/config.cpp
    src/core/regionselect.cpp
    src/core/cmdline.cpp
    src/core/shortcutmanager.cpp
    src/core/modulemanager.cpp     
    src/ui/configwidget.cpp
    src/ui/about.cpp
    src/ui/mainwindow.cpp
)

if(UNIX AND NOT APPLE)
 set(SCREENGRAB_SRC ${SCREENGRAB_SRC}  src/common/netwm/netwm.cpp)
endif(UNIX AND NOT APPLE)

if(WIN32)
    set(WIN_RC screengrab.rc)
endif(WIN32)

# set headers to moc
set(SCREENGRAB_MOC
    src/core/core.h
    src/core/regionselect.h
    src/ui/configwidget.h
    src/ui/about.h
    src/ui/mainwindow.h
)

# set headers to moc
set(SCREENGRAB_UI
    src/ui/configwidget.ui
    src/ui/aboutwidget.ui
    src/ui/mainwindow.ui
)

# documentation files
set(DOCS
  ${CMAKE_CURRENT_SOURCE_DIR}/docs/ChangeLog.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/docs/LICENSE.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/README.md
)

#  include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

# Qt resource file
set( SCREENGRAB_QRC screengrab.qrc )


include_directories("${CMAKE_CURRENT_BINARY_DIR}")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}")


  # this will run uic on .ui files:
qt4_wrap_ui(SCREENGRAB_UI_H ${SCREENGRAB_UI} )

# genereate moc headers
qt4_wrap_cpp(SCREENGRAB_MOC_CPP ${SCREENGRAB_MOC} )

# genereating resource cpp
qt4_add_resources( QRC_SOURCES ${SCREENGRAB_QRC} )


#------- find lrelease & create qms ------------

# find lrelease binary
if(NOT QT_LRELEASE_EXECUTABLE)
find_program(QT_LRELEASE_EXECUTABLE
    NAMES lrelease
    PATHS ${QT_BINARY_DIR}
    NO_DEFAULT_PATH
)
endif(NOT QT_LRELEASE_EXECUTABLE)

# debian hack
if(EXISTS ${QT_BINARY_DIR}/lrelease-qt4)
set(QT_LRELEASE_EXECUTABLE ${QT_BINARY_DIR}/lrelease-qt4)
endif(EXISTS ${QT_BINARY_DIR}/lrelease-qt4)

if(QT_LRELEASE_EXECUTABLE)
message(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
message(STATUS "Generating localize ...")
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR}/localize -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
else(QT_LRELEASE_EXECUTABLE)
message(FATAL_ERROR "Could NOT find lrelease executable")
endif(QT_LRELEASE_EXECUTABLE)

# --exclude-backups --exclude-vcs --exclude=localize/*qm --exclude=*.kdev4 --exclude=build --exclude=create-src.sh --exclude=win32
#------- add icon & trmove console in win32 (mingw) ----------

if(WIN32)
    if(NOT MSVC)
        add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/screengrabrc.o
        COMMAND ${CMAKE_RC_COMPILER} -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/screengrab.rc
        -o ${CMAKE_CURRENT_BINARY_DIR}/screengrabrc.o )

        set(SCREENGRAB_SRC ${SCREENGRAB_SRC} ${CMAKE_CURRENT_BINARY_DIR}/screengrabrc.o)
    endif(NOT MSVC)
endif(WIN32)

#-------  build executable from sources ----------
add_executable( screengrab ${SCREENGRAB_SRC} ${SCREENGRAB_MOC_CPP} ${SCREENGRAB_UI_H} ${QRC_SOURCES} )

if(SG_GLOBALSHORTCUTS)
	if(SG_USE_SYSTEM_QXT)
		target_link_libraries( screengrab ${QXT_QXTCORE_LIB_RELEASE} ${QXT_QXTGUI_LIB_RELEASE})
	else(SG_USE_SYSTEM_QXT)
		target_link_libraries( screengrab qxt)
    endif(SG_USE_SYSTEM_QXT)
endif(SG_GLOBALSHORTCUTS)

if(SG_EXT_UPLOADS)
	target_link_libraries( screengrab uploader)
endif(SG_EXT_UPLOADS)

if(SG_EXT_EDIT)
	target_link_libraries( screengrab extedit)
endif(SG_EXT_EDIT)

if(WIN32)
    target_link_libraries( screengrab qkeysequencewidget singleapp ${QT_LIBRARIES} )
endif(WIN32)
if(UNIX)
    target_link_libraries( screengrab qkeysequencewidget singleapp X11 
${QT_LIBRARIES} )
endif(UNIX)

if(WIN32)
    if(NOT MSVC)

        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mwindows ")

    endif(NOT MSVC)
endif(WIN32)

#-------  make src packae and installing ----------

if(UNIX AND NOT APPLE)
    # make src.tar.gz
    ADD_CUSTOM_TARGET (dist @echo create source package )
    set(SCREENGRAB_DIST "screengrab-${SCREENGRAB_VERSION}")
    add_custom_command(COMMAND cp 
        ARGS -R ${CMAKE_CURRENT_SOURCE_DIR} "/tmp/${SCREENGRAB_DIST}" 
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        TARGET  dist
    )

    ADD_CUSTOM_COMMAND(COMMAND tar 
        ARGS cvfz ${CMAKE_CURRENT_BINARY_DIR}/${SCREENGRAB_DIST}.tar.gz --exclude=*~ --exclude-vcs --exclude=localize/*qm --exclude=*.kdev4 --exclude=build --exclude=create-src.sh --exclude=win32 -C "/tmp" "${SCREENGRAB_DIST}"  
        WORKING_DIRECTORY "/tmp"
        TARGET  dist
    )

    add_custom_command(COMMAND rm 
        ARGS -rf "/tmp/${SCREENGRAB_DIST}"
        WORKING_DIRECTORY "/tmp"
        TARGET  dist
    )

    # installing
    INSTALL(TARGETS screengrab RUNTIME DESTINATION bin)

    # install txt docs
    INSTALL(FILES ${DOCS} DESTINATION ${DOCPATH})
    # install html docs
    INSTALL(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/html/" DESTINATION "${DOCPATH}/html")

    # install desktop files
    INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/screengrab.desktop" DESTINATION share/applications)

    # install pixmap
    INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/img/screengrab.png" DESTINATION share/pixmaps)

    INSTALL(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/localize/" DESTINATION share/screengrab/localize FILES_MATCHING PATTERN "*.qm")
endif(UNIX AND NOT APPLE)

if(WIN32)
    set(WIN32_BINARY_RUNTIME 
#         ${CMAKE_FIND_ROOT_PATH}/bin/libgcc_s_sjlj-1.dll
#         ${CMAKE_FIND_ROOT_PATH}/bin/libstdc++-6.dll
        ${CMAKE_FIND_ROOT_PATH}/bin/zlib1.dll
    )

=== src/common/qkeysequencewidget/CMakeLists.txt ===
#cmake_minimum_required(VERSION 2.6)

add_definitions( -DIS_CMAKE="true")

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/src/)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

OPTION (QKSW_SHARED "Use QKeysequenseWidget as shared library" OFF)

set (QKSW_SRC 
  src/qkeysequencewidget.cpp)

set (QKSW_HDR 
  src/qkeysequencewidget.h
  src/qkeysequencewidget_p.h)

set (QKSW_QRC 
  ${CMAKE_CURRENT_SOURCE_DIR}/qkeysequencewidget.qrc)
qt4_add_resources(QKSW_QRC ${QKSW_QRC})

qt4_wrap_cpp(QKSW_SRC_MOC ${QKSW_HDR})

if(QKSW_SHARED)
	add_library(qkeysequencewidget SHARED ${QKSW_SRC} ${QKSW_SRC_MOC}  ${QKSW_QRC})
	add_definitions(-DIS_SHARED="true")
	set_property (TARGET qkeysequencewidget PROPERTY SOVERSION 1.0.0)
	INSTALL (TARGETS qkeysequencewidget DESTINATION ${SG_LIBDIR})
else(QKSW_SHARED)
	add_library(qkeysequencewidget STATIC ${QKSW_SRC} ${QKSW_SRC_MOC}  ${QKSW_QRC})
endif(QKSW_SHARED)

target_link_libraries(qkeysequencewidget ${QT_LIBRARIES})

=== src/common/singleapp/CMakeLists.txt ===
#cmake_minimum_required(VERSION 2.6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set (singleapp_SRC 
  singleapp.cpp)

set (singleapp_HDR 
  singleapp.h
)

qt4_wrap_cpp(singleapp_SRC_MOC ${singleapp_HDR})

add_library(singleapp ${singleapp_SRC} ${singleapp_SRC_MOC}  ${singleapp_QRC})
target_link_libraries(singleapp ${QT_LIBRARIES})

=== src/modules/extedit/CMakeLists.txt ===
#cmake_minimum_required(VERSION 2.6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${SG_INCLUDE})

message(STATUS "MKSPECS dir : " ${QT_MKSPECS_DIR})

set (extedit_SRC 
	moduleextedit.cpp
	extedit.cpp
)

set (extedit_HDR
    extedit.h
)

qt4_wrap_cpp(extedit_SRC_MOC ${extedit_HDR})

if (Q_WS_WIN)
add_library(extedit STATIC ${extedit_SRC} ${extedit_SRC_MOC} )
else (Q_WS_WIN)
add_library(extedit SHARED ${extedit_SRC} ${extedit_SRC_MOC} )
set_property (TARGET extedit PROPERTY SOVERSION 1.0.0)
INSTALL (TARGETS extedit DESTINATION ${SG_LIBDIR})
endif (Q_WS_WIN)

target_link_libraries(extedit ${QT_LIBRARIES})

=== src/modules/uploader/CMakeLists.txt ===
#cmake_minimum_required(VERSION 2.6)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${SG_INCLUDE})

message(STATUS "SG_CORE_INCLUDE-2: " ${SG_INCLUDE})

set (uploader_SRC 
	moduleuploader.cpp
	uploader.cpp
    imgshack/uploader_imgshack.cpp
	imgur/uploader_imgur.cpp
    uploaderconfig.cpp
    dialoguploader.cpp 
	uploaderconfigwidget.cpp 
	imgur/uploader_imgur_widget.cpp 
	imgur/uploaderconfigwidget_imgur.cpp 
	imgshack/uploader_imgshack_widget.cpp 
	imgshack/uploaderconfigwidget_imgshack.cpp 
	mediacrush/uploader_mediacrush.cpp 
	mediacrush/uploader_mediacrush_widget.cpp 
	mediacrush/uploaderconfigwidget_mediacrush.cpp  
)

set (uploader_HDR
    moduleuploader.h 
    uploader.h
	imgshack/uploader_imgshack.h
	imgur/uploader_imgur.h
    dialoguploader.h
	uploaderconfigwidget.h 
	imgur/uploader_imgur_widget.h 
	imgur/uploaderconfigwidget_imgur.h 
	imgshack/uploader_imgshack_widget.h
	imgshack/uploaderconfigwidget_imgshack.h 
	mediacrush/uploader_mediacrush.h 
	mediacrush/uploader_mediacrush_widget.h
	mediacrush/uploaderconfigwidget_mediacrush.h 
)

set(uploader_UI 
	dialoguploader.ui 
	uploaderconfigwidget.ui 
	imgur/uploader_imgur_widget.ui 
	imgur/uploaderconfigwidget_imgur.ui 
	imgshack/uploader_imgshack_widget.ui 
	imgshack/uploaderconfigwidget_imgshack.ui
	mediacrush/uploader_mediacrush_widget.ui 
	mediacrush/uploaderconfigwidget_mediacrush.ui 
)

qt4_wrap_cpp(uploader_SRC_MOC ${uploader_HDR})

qt4_wrap_ui(uploader_UI_H ${uploader_UI} )

if (Q_WS_WIN)
add_library(uploader STATIC ${uploader_SRC} ${uploader_SRC_MOC}  ${uploader_QRC} ${uploader_UI_H})
else (Q_WS_WIN)
add_library(uploader SHARED ${uploader_SRC} ${uploader_SRC_MOC}  ${uploader_QRC} ${uploader_UI_H})
set_property (TARGET uploader PROPERTY SOVERSION 1.0.0)
INSTALL (TARGETS uploader DESTINATION ${SG_LIBDIR})
endif (Q_WS_WIN)

target_link_libraries(uploader ${QT_LIBRARIES})

=== debian/changelog ===
screengrab (1.0-ubuntu1) precise; urgency=low

  * released version 1.0

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Tue, 13 Aug 2013 21:45:25  +0300

screengrab (0.9.96-ubuntu1) karmic; urgency=low

  * released version 0.9.96 (1.0-rc release)

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Wed, 03 Oct 2012 10:55:51  +0300

screengrab (0.9.85-ubuntu1) karmic; urgency=low

  * released version 0.9.85 (1.0-beta release)

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Wed, 17 Aug 2011 06:57:27  +0300

screengrab (0.9.1-ubuntu1) karmic; urgency=low

  * released version 0.9.1 (bugfix release)

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Thu, 20 Jan 2011 00:43:15 +0300

screengrab (0.9-ubuntu2) karmic; urgency=low

  * added forgotten imgage resources

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Mon, 15 Nov 2010 03:12:52 +0300

screengrab (0.9-ubuntu1) karmic; urgency=low

  * released version 0.9

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Mon, 15 Nov 2010 01:22:11 +0300

screengrab (0.8.1-ubuntu1) karmic; urgency=low

  * First package release

 -- Artem Galichkin (arched) <doomer3d@gmail.com>  Tue, 01 Nov 2010 21:12:31 +0300

=== debian/control ===
Source: screengrab
Section: graphics
Priority: optional
Maintainer: Artem Galichkin [arched] <doomer3d@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6), libqt4-dev (>= 4.5.0),
Standards-Version: 3.8.4
Homepage: http://screengrab.doomer.org/
#Vcs-Git: git://git.debian.org/collab-maint/screengrab.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/screengrab.git;a=summary

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ScreenGrab is a crossplatform tool for geting screenshots working in Linux and Windows. The program uses Qt and is independent of any desktop environment.
